﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;

	public class Spider extends Sprite
	{
		private var timer:Timer;
		private var points:Array = new Array();
		public function Spider()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			fullhandler(null);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			if(timer){
			timer.stop();
			}
			this.graphics.clear();
			this.graphics.lineStyle(1,0x85c2ec,0.2);
			points = new Array();
			timer = new Timer(1,1000);
			timer.addEventListener(TimerEvent.TIMER, refresh);
			timer.start();
		}
		private function refresh(e:TimerEvent):void
		{
			var p1:Object;
			var dx:Number;
			var dy:Number;
			var dist:Number;
			var p0:Object = {"x":Math.random() * 2*stage.stageWidth, "y":Math.random() * 3 *stage.stageHeight};
			var max:Number = Math.random()*300;
			for(var i:uint;i<points.length;i++){
				p1 = points[i];
				dx = p1.x - p0.x;
				dy = p1.y - p0.y;
				dist = Math.sqrt(dx * dx + dy*dy);
				if(dist < max){
					
					this.graphics.beginFill(0xffffff, 0.4);
					this.graphics.drawCircle(p1.x,p1.y/2,3);
					
					this.graphics.lineStyle(0.4,0x85c2ec,0.3,(100 - dist / max));
					this.graphics.moveTo(Math.random()*p0.x,p0.y);
					this.graphics.lineTo(p1.x,p1.y);
				}
			}
			points.push(p0);
		}
	}
}